## addItem

### Description

Adds a item into the list.

### Parameters

1. `string` The entry name
2. `number|color` unique default background color - optional
3. `number|color` unique default text color - optional
4. `any` any value - can be accessed later in an :onChange() event (needs to use :getValue()) - optional

#### Returns

1. `object` The object in use

### Usage

* Creates a default list with 3 entries

```lua
local mainFrame = basalt.createFrame()
local aList = mainFrame:addList()
aList:addItem("1. Entry")
aList:addItem("2. Entry",colors.yellow)
aList:addItem("3. Entry",colors.yellow,colors.green)
```

```xml
<list>
  <item><text>1. Entry</text></item>
  <item><text>2. Entry</text><bg>yellow</bg></item>
  <item><text>3. Entry</text><bg>yellow</bg><fg>green</fg></item>
</list>
```
